/*
 * JavaScript file
 */

function init()
{
	
}



function HandleVM()
{
	var elInput = GetByIDCustom('txtVm_in');
	
	var eDBUV = GetByIDCustom('txtDBUV_Result_1');
	var eDBUA = GetByIDCustom('txtDBUA_Result_1');
	var ePT = GetByIDCustom('txtPT_Result_1');
	var eDBPT = GetByIDCustom('txtDBPT_Result_1');
	var eTESLA = GetByIDCustom('txtTESLA_Result_1');
	var eGUASS = GetByIDCustom('txtGUASS_Result_1');
	var eAM = GetByIDCustom('txtAM_Result_1');
	var eMWCM = GetByIDCustom('txtMWCM_Result_1');
	var eWM = GetByIDCustom('txtWM_Result_1');

	if (ValidateInput(elInput))
	{
		var lngVM = parseFloat(elInput.value);
		
		var lngDBUV = 20 * custLog((lngVM * 1000000), 10);
		var lngDBUA = lngDBUV - 51.5;
		var lngDBPT = lngDBUV - 49.5;
		var lngPT = Math.pow(10, (lngDBPT / 20));
		var lngTESLA = ((Math.pow(10, (lngDBPT / 20))) / 1000000000000);
		var lngGUASS = lngTESLA * 10000;
		var lngAM = Math.pow(10, (lngDBUA / 20)) / 1000000;
		var lngMWCM = ((Math.pow((lngVM / 100), 2)) / 377) * 1000;
		var lngWM = lngMWCM * 10;
		
		eDBUV.value = lngDBUV.toFixed(2);	
		eDBUA.value = lngDBUA.toFixed(2);				
		ePT.value = lngPT.toExponential(3);				
		eDBPT.value = lngDBPT.toFixed(2);		
		eTESLA.value = lngTESLA.toExponential(3);	
		eGUASS.value = lngGUASS.toExponential(3);	
		eAM.value = lngAM.toExponential(3);
		eMWCM.value = lngMWCM.toExponential(3);
		eWM.value = lngWM.toExponential(3);
	}
}

function HandleDBUV()
{
	var elInput = GetByIDCustom('txtDBUV_in');
	
	var eVM = GetByIDCustom('txtVM_Result_2');
	var eDBUA = GetByIDCustom('txtDBUA_Result_2');
	var ePT = GetByIDCustom('txtPT_Result_2');
	var eDBPT = GetByIDCustom('txtDBPT_Result_2');
	var eTESLA = GetByIDCustom('txtTESLA_Result_2');
	var eGUASS = GetByIDCustom('txtGUASS_Result_2');
	var eAM = GetByIDCustom('txtAM_Result_2');
	var eMWCM = GetByIDCustom('txtMWCM_Result_2');
	var eWM = GetByIDCustom('txtWM_Result_2');

	if (ValidateInput(elInput))
	{
		var lngDBUV = parseFloat(elInput.value);
		
		var lngVM = (Math.pow(10, (lngDBUV / 20))) / 1000000;
		var lngDBUA = lngDBUV - 51.5;
		var lngDBPT = lngDBUV - 49.5;
		var lngPT = Math.pow(10, (lngDBPT / 20));
		var lngTESLA = ((Math.pow(10, (lngDBPT / 20))) / 1000000000000);
		var lngGUASS = lngTESLA * 10000;
		var lngAM = (Math.pow(10, (lngDBUA / 20)) / 1000000);
		var lngMWCM = ((Math.pow((lngVM / 100), 2)) / 377) * 1000;
		var lngWM = lngMWCM * 10;
		
		eVM.value = lngVM.toFixed(2);	
		eDBUA.value = lngDBUA.toFixed(2);				
		ePT.value = lngPT.toExponential(3);				
		eDBPT.value = lngDBPT.toFixed(2);		
		eTESLA.value = lngTESLA.toExponential(3);	
		eGUASS.value = lngGUASS.toExponential(3);	
		eAM.value = lngAM.toExponential(3);
		eMWCM.value = lngMWCM.toExponential(3);
		eWM.value = lngWM.toExponential(3);
	}
}

function HandleDBUA()
{
	var elInput = GetByIDCustom('txtDBUA_in');
	
	var eVM = GetByIDCustom('txtVM_Result_3');
	var eDBUV = GetByIDCustom('txtDBUV_Result_3');
	//var eDBUA = GetByIDCustom('txtDBUA_Result_3');
	var ePT = GetByIDCustom('txtPT_Result_3');
	var eDBPT = GetByIDCustom('txtDBPT_Result_3');
	var eTESLA = GetByIDCustom('txtTESLA_Result_3');
	var eGUASS = GetByIDCustom('txtGUASS_Result_3');
	var eAM = GetByIDCustom('txtAM_Result_3');
	var eMWCM = GetByIDCustom('txtMWCM_Result_3');
	var eWM = GetByIDCustom('txtWM_Result_3');

	if (ValidateInput(elInput))
	{
		var lngDBUA = parseFloat(elInput.value);
		
		var lngDBUV = (lngDBUA + 51.5);
		var lngVM = (Math.pow(10, (lngDBUV / 20))) / 1000000;
		var lngDBPT = lngDBUV - 49.5;
		var lngPT = Math.pow(10, (lngDBPT / 20));
		var lngTESLA = ((Math.pow(10, (lngDBPT / 20))) / 1000000000000);
		var lngGUASS = lngTESLA * 10000;
		var lngAM = (Math.pow(10, (lngDBUA / 20)) / 1000000);
		var lngMWCM = ((Math.pow((lngVM / 100), 2)) / 377) * 1000;
		var lngWM = lngMWCM * 10;
		
		eVM.value = lngVM.toFixed(2);	
		eDBUV.value = lngDBUV.toFixed(2);				
		ePT.value = lngPT.toExponential(3);				
		eDBPT.value = lngDBPT.toFixed(2);		
		eTESLA.value = lngTESLA.toExponential(3);	
		eGUASS.value = lngGUASS.toExponential(3);	
		eAM.value = lngAM.toExponential(3);
		eMWCM.value = lngMWCM.toExponential(3);
		eWM.value = lngWM.toExponential(3);
	}
}

function HandlePT()
{
	var elInput = GetByIDCustom('txtPT_in');
	
	var eVM = GetByIDCustom('txtVM_Result_4');
	var eDBUV = GetByIDCustom('txtDBUV_Result_4');
	var eDBUA = GetByIDCustom('txtDBUA_Result_4');
	var eDBPT = GetByIDCustom('txtDBPT_Result_4');
	var eTESLA = GetByIDCustom('txtTESLA_Result_4');
	var eGUASS = GetByIDCustom('txtGUASS_Result_4');
	var eAM = GetByIDCustom('txtAM_Result_4');
	var eMWCM = GetByIDCustom('txtMWCM_Result_4');
	var eWM = GetByIDCustom('txtWM_Result_4');

	if (ValidateInput(elInput))
	{
		var lngPT  = parseFloat(elInput.value);
		
		//var lngDBPT = 20 * Math.log(lngPT);
		var lngDBPT = 20 * custLog(lngPT, 10);
		var lngDBUV = lngDBPT + 49.5;
		var lngVM = (Math.pow(10, (lngDBUV / 20))) / 1000000;
		var lngDBUA = lngDBUV - 51.5;
		var lngTESLA = ((Math.pow(10, (lngDBPT / 20))) / 1000000000000);
		var lngGUASS = lngTESLA * 10000;
		var lngAM = (Math.pow(10, (lngDBUA / 20)) / 1000000);
		var lngMWCM = ((Math.pow((lngVM/100), 2)) / 377 ) * 1000;
		var lngWM = lngMWCM * 10;
		
		eVM.value = lngVM.toFixed(2);	
		eDBUA.value = lngDBUA.toFixed(2);
		eDBUV.value = lngDBUV.toFixed(2);				
		eDBPT.value = lngDBPT.toFixed(2);		
		eTESLA.value = lngTESLA.toExponential(3);	
		eGUASS.value = lngGUASS.toExponential(3);	
		eAM.value = lngAM.toExponential(3);
		eMWCM.value = lngMWCM.toExponential(3);
		eWM.value = lngWM.toExponential(3);
	}	
}

function HandleDBPT()
{
	var elInput = GetByIDCustom('txtDBPT_in');
	
	var eVM = GetByIDCustom('txtVM_Result_5');
	var eDBUV = GetByIDCustom('txtDBUV_Result_5');
	var eDBUA = GetByIDCustom('txtDBUA_Result_5');
	var ePT = GetByIDCustom('txtPT_Result_5');
	//var eDBPT = GetByIDCustom('txtDBPT_Result_5');
	var eTESLA = GetByIDCustom('txtTESLA_Result_5');
	var eGUASS = GetByIDCustom('txtGUASS_Result_5');
	var eAM = GetByIDCustom('txtAM_Result_5');
	var eMWCM = GetByIDCustom('txtMWCM_Result_5');
	var eWM = GetByIDCustom('txtWM_Result_5');

	if (ValidateInput(elInput))
	{
		var lngDBPT = parseFloat(elInput.value);
		
		var lngDBUV = lngDBPT + 49.5;
		var lngVM = (Math.pow(10, (lngDBUV / 20))) / 1000000;
		var lngDBUA = lngDBUV - 51.5;
		var lngPT = Math.pow(10, (lngDBPT / 20));
		var lngTESLA = ((Math.pow(10, (lngDBPT / 20))) / 1000000000000);
		var lngGUASS = lngTESLA * 10000;
		var lngAM = (Math.pow(10, (lngDBUA / 20)) / 1000000);
		var lngMWCM = ((Math.pow((lngVM/100), 2)) / 377) * 1000;
		var lngWM = lngMWCM * 10;
		
		eVM.value = lngVM.toFixed(2);	
		eDBUA.value = lngDBUA.toFixed(2);
		eDBUV.value = lngDBUV.toFixed(2);
		ePT.value = lngPT.toExponential(3);				
		//eDBPT.value = lngDBPT.toFixed(2);		
		eTESLA.value = lngTESLA.toExponential(3);	
		eGUASS.value = lngGUASS.toExponential(3);	
		eAM.value = lngAM.toExponential(3);
		eMWCM.value = lngMWCM.toExponential(3);
		eWM.value = lngWM.toExponential(3);
	}
}

function HandleTESLA()
{
	var elInput = GetByIDCustom('txtTESLA_in');
	
	var eVM = GetByIDCustom('txtVM_Result_6');
	var eDBUV = GetByIDCustom('txtDBUV_Result_6');
	var eDBUA = GetByIDCustom('txtDBUA_Result_6');
	var ePT = GetByIDCustom('txtPT_Result_6');
	var eDBPT = GetByIDCustom('txtDBPT_Result_6');
	//var eTESLA = GetByIDCustom('txtTESLA_Result_6');
	var eGUASS = GetByIDCustom('txtGUASS_Result_6');
	var eAM = GetByIDCustom('txtAM_Result_6');
	var eMWCM = GetByIDCustom('txtMWCM_Result_6');
	var eWM = GetByIDCustom('txtWM_Result_6');

	if (ValidateInput(elInput))
	{
		var lngTESLA = parseFloat(elInput.value);
		
		var lngPT = lngTESLA * (Math.pow(10, 12));
		var lngDBPT = 20 * custLog(lngPT, 10);
		var lngDBUV = lngDBPT + 49.5;
		var lngVM = (Math.pow(10, (lngDBUV / 20))) / 1000000;
		var lngDBUA = lngDBUV - 51.5;
		var lngGUASS = lngTESLA * 10000;
		var lngAM = (Math.pow(10, (lngDBUA / 20)) / 1000000);
		var lngMWCM = ((Math.pow((lngVM/100), 2)) / 377) * 1000;
		var lngWM = lngMWCM * 10;
		
		eVM.value = lngVM.toFixed(2);	
		eDBUV.value = lngDBUV.toFixed(2);
		eDBUA.value = lngDBUA.toFixed(2);
		ePT.value = lngPT.toExponential(3);				
		eDBPT.value = lngDBPT.toFixed(2);		
		//eTESLA.value = lngTESLA.toExponential(3);	
		eGUASS.value = lngGUASS.toExponential(3);	
		eAM.value = lngAM.toExponential(3);
		eMWCM.value = lngMWCM.toExponential(3);
		eWM.value = lngWM.toExponential(3);
	}
}

function HandleGUASS()
{
	var elInput = GetByIDCustom('txtGUASS_in');
	
	var eVM = GetByIDCustom('txtVM_Result_7');
	var eDBUV = GetByIDCustom('txtDBUV_Result_7');
	var eDBUA = GetByIDCustom('txtDBUA_Result_7');
	var ePT = GetByIDCustom('txtPT_Result_7');
	var eDBPT = GetByIDCustom('txtDBPT_Result_7');
	var eTESLA = GetByIDCustom('txtTESLA_Result_7');
	//var eGUASS = GetByIDCustom('txtGUASS_Result_7');
	var eAM = GetByIDCustom('txtAM_Result_7');
	var eMWCM = GetByIDCustom('txtMWCM_Result_7');
	var eWM = GetByIDCustom('txtWM_Result_7');

	if (ValidateInput(elInput))
	{
		var lngGUASS = parseFloat(elInput.value);
		
		var lngTESLA = lngGUASS / 10000;
		var lngPT = lngTESLA * (Math.pow(10, 12));
		var lngDBPT = 20 * (custLog(lngPT, 10));
		var lngDBUV = lngDBPT + 49.5;
		var lngVM = (Math.pow(10, (lngDBUV / 20))) / 1000000;
		var lngDBUA = lngDBUV - 51.5;
		var lngAM = (Math.pow(10, (lngDBUA / 20)) / 1000000);
		var lngMWCM = ((Math.pow((lngVM / 100), 2)) / 377) * 1000;
		var lngWM = lngMWCM * 10;
		
		eVM.value = lngVM.toFixed(2);	
		eDBUV.value = lngDBUV.toFixed(2);
		eDBUA.value = lngDBUA.toFixed(2);
		ePT.value = lngPT.toExponential(3);				
		eDBPT.value = lngDBPT.toFixed(2);		
		eTESLA.value = lngTESLA.toExponential(3);	
		//eGUASS.value = lngGUASS.toExponential(3);	
		eAM.value = lngAM.toExponential(3);
		eMWCM.value = lngMWCM.toExponential(3);
		eWM.value = lngWM.toExponential(3);
	}
}

function HandleAM()
{
	var elInput = GetByIDCustom('txtAM_in');
	
	var eVM = GetByIDCustom('txtVM_Result_8');
	var eDBUV = GetByIDCustom('txtDBUV_Result_8');
	var eDBUA = GetByIDCustom('txtDBUA_Result_8');
	var ePT = GetByIDCustom('txtPT_Result_8');
	var eDBPT = GetByIDCustom('txtDBPT_Result_8');
	var eTESLA = GetByIDCustom('txtTESLA_Result_8');
	var eGUASS = GetByIDCustom('txtGUASS_Result_8');
	//var eAM = GetByIDCustom('txtAM_Result_8');
	var eMWCM = GetByIDCustom('txtMWCM_Result_8');
	var eWM = GetByIDCustom('txtWM_Result_8');

	if (ValidateInput(elInput))
	{
		var lngAM = parseFloat(elInput.value);
		
		var lngDBUA = 20 * custLog((lngAM * 1000000), 10);
		var lngDBUV = lngDBUA + 51.5;
		var lngVM = (Math.pow(10, (lngDBUV / 20))) / 1000000;
		var lngDBPT = lngDBUV - 49.5;
		var lngPT = Math.pow(10, (lngDBPT/20));
		var lngTESLA = ((Math.pow(10, (lngDBPT / 20))) / 1000000000000);
		var lngGUASS = lngTESLA * 10000;		
		//var lngAM = (Math.pow(10, (lngDBUA / 20)) / 1000000);
		var lngMWCM = ((Math.pow((lngVM / 100), 2)) / 377) * 1000;
		var lngWM = lngMWCM * 10;
		
		eVM.value = lngVM.toFixed(2);	
		eDBUV.value = lngDBUV.toFixed(2);
		eDBUA.value = lngDBUA.toFixed(2);
		ePT.value = lngPT.toExponential(3);				
		eDBPT.value = lngDBPT.toFixed(2);		
		eTESLA.value = lngTESLA.toExponential(3);	
		eGUASS.value = lngGUASS.toExponential(3);	
		//eAM.value = lngAM.toExponential(3);
		eMWCM.value = lngMWCM.toExponential(3);
		eWM.value = lngWM.toExponential(3);
	}
}

function HandleMWCM()
{
	var elInput = GetByIDCustom('txtMWCM_in');
	
	var eVM = GetByIDCustom('txtVM_Result_9');
	var eDBUV = GetByIDCustom('txtDBUV_Result_9');
	var eDBUA = GetByIDCustom('txtDBUA_Result_9');
	var ePT = GetByIDCustom('txtPT_Result_9');
	var eDBPT = GetByIDCustom('txtDBPT_Result_9');
	var eTESLA = GetByIDCustom('txtTESLA_Result_9');
	var eGUASS = GetByIDCustom('txtGUASS_Result_9');
	var eAM = GetByIDCustom('txtAM_Result_9');
	//var eMWCM = GetByIDCustom('txtMWCM_Result_9');
	var eWM = GetByIDCustom('txtWM_Result_9');

	if (ValidateInput(elInput))
	{
		var lngMWCM = parseFloat(elInput.value);
		
		var lngWM = lngMWCM * 10;
		var lngVM = Math.sqrt((lngWM * 377), 2);
		var lngDBUV = 20 * custLog((lngVM * 1000000), 10);
		var lngDBUA = lngDBUV - 51.5;
		var lngDBPT = lngDBUV - 49.5;
		var lngPT = Math.pow(10, (lngDBPT/20));
		var lngTESLA = ((Math.pow(10, (lngDBPT/20)))/1000000000000);
		var lngGUASS = lngTESLA * 10000;
		var lngAM = (Math.pow(10, (lngDBUA / 20)) / 1000000);
		//var lngMWCM = 
		
		
		eVM.value = lngVM.toFixed(2);	
		eDBUV.value = lngDBUV.toFixed(2);
		eDBUA.value = lngDBUA.toFixed(2);
		ePT.value = lngPT.toExponential(3);				
		eDBPT.value = lngDBPT.toFixed(2);		
		eTESLA.value = lngTESLA.toExponential(3);	
		eGUASS.value = lngGUASS.toExponential(3);	
		eAM.value = lngAM.toExponential(3);
		//eMWCM.value = lngMWCM.toExponential(3);
		eWM.value = lngWM.toExponential(3);
	}
}

function HandleWM()
{
	var elInput = GetByIDCustom('txtWM_in');
	
	var eVM = GetByIDCustom('txtVM_Result_10');
	var eDBUV = GetByIDCustom('txtDBUV_Result_10');
	var eDBUA = GetByIDCustom('txtDBUA_Result_10');
	var ePT = GetByIDCustom('txtPT_Result_10');
	var eDBPT = GetByIDCustom('txtDBPT_Result_10');
	var eTESLA = GetByIDCustom('txtTESLA_Result_10');
	var eGUASS = GetByIDCustom('txtGUASS_Result_10');
	var eAM = GetByIDCustom('txtAM_Result_10');
	var eMWCM = GetByIDCustom('txtMWCM_Result_10');

	if (ValidateInput(elInput))
	{
		var lngWM = parseFloat(elInput.value);
		
		var lngMWCM = lngWM / 10;
		var lngVM = Math.sqrt(lngMWCM * (10 * 377));
		var lngDBUV = 20 * custLog((lngVM * 1000000), 10);
		var lngDBUA = lngDBUV - 51.5;
		var lngDBPT = lngDBUV - 49.5;
		var lngPT = Math.pow(10, (lngDBPT/20));
		var lngTESLA = ((Math.pow(10, (lngDBPT / 20))) / 1000000000000);
		var lngGUASS = lngTESLA * 10000;
		var lngAM = (Math.pow(10, (lngDBUA / 20)) / 1000000);		
		
		eVM.value = lngVM.toFixed(2);	
		eDBUV.value = lngDBUV.toFixed(2);
		eDBUA.value = lngDBUA.toFixed(2);
		ePT.value = lngPT.toExponential(3);				
		eDBPT.value = lngDBPT.toFixed(2);		
		eTESLA.value = lngTESLA.toExponential(3);	
		eGUASS.value = lngGUASS.toExponential(3);	
		eAM.value = lngAM.toExponential(3);
		eMWCM.value = lngMWCM.toExponential(3);
	}
}

function HandleEIRP()
{
	var elInput = GetByIDCustom('txtEIRPInput');
	var elEIRP2Result = GetByIDCustom('txtEIRP2Result_1');
	var elERPResult = GetByIDCustom('txtERPResult_1');
	var elERP2Result = GetByIDCustom('txtERP2Result_1');
	var elDBUV3Result = GetByIDCustom('txtDBUV3Result_1');
	var elDBUV10Result = GetByIDCustom('txtDBUV10Result_1');
	
	if (ValidateInput(elInput))
	{
		var lngInput = parseFloat(elInput.value);
		
		var dblEIRP2 = 10 * (custLog(lngInput , 10));
		elEIRP2Result.value = dblEIRP2.toFixed(2); 
		
		var dblERP = lngInput / 1.64;
		elERPResult.value = dblERP.toFixed(8);
		
		var dblERP2 = 10 * (custLog(dblERP, 10));
		elERP2Result.value = dblERP2.toFixed(2);

		var dblDBUV3 = (30 * lngInput)/(1000 * 9);
		dblDBUV3 = Math.sqrt(dblDBUV3);
		dblDBUV3 = dblDBUV3 * 1000000;
		dblDBUV3 = 20 * (custLog(dblDBUV3 , 10));
		elDBUV3Result.value = dblDBUV3.toFixed(2);
		
		var dblDBUV10 = (30 * lngInput)/(1000*100);
		dblDBUV10 = Math.sqrt(dblDBUV10);
		dblDBUV10 = dblDBUV10 * 1000000;
		dblDBUV10 = 20 * (custLog(dblDBUV10, 10));
		elDBUV10Result.value = dblDBUV10.toFixed(2);
	}
}

function HandleEIRP2()
{
	var elInput = GetByIDCustom('txtEIRP2Input');
	var elEIRPResult = GetByIDCustom('txtEIRPResult_5');
	var elERPResult = GetByIDCustom('txtERPResult_5');
	var elERP2Result = GetByIDCustom('txtERP2Result_5');
	var elDBUV3Result = GetByIDCustom('txtDBUV3Result_5');
	var elDBUV10Result = GetByIDCustom('txtDBUV10Result_5');
	
	if (ValidateInput(elInput))
	{
		var lngInput = parseFloat(elInput.value);
		
		var dblEIRP = Math.pow(10,(lngInput/10));
		elEIRPResult.value = dblEIRP.toFixed(8); 
		
		var dblERP = dblEIRP / 1.64;
		elERPResult.value = dblERP.toFixed(8);
		
		var dblERP2 = 10 * (custLog(dblERP, 10));
		elERP2Result.value = dblERP2.toFixed(2);

		var dblDBUV3 = Math.sqrt((30 * dblEIRP)/(1000 * 9));
		dblDBUV3 = 20 * (custLog((dblDBUV3 * 1000000), 10));
		elDBUV3Result.value = dblDBUV3.toFixed(2);

		var dblDBUV10 = Math.sqrt((30 * dblEIRP)/(1000*100));
		dblDBUV10 = 20 * (custLog((dblDBUV10 * 1000000), 10));
		elDBUV10Result.value = dblDBUV10.toFixed(2);
	}
}

function HandleERP()
{
	var elInput = GetByIDCustom('txtERPInput');
	var elEIRPResult = GetByIDCustom('txtEIRPResult_2');
	var elEIRP2Result = GetByIDCustom('txtEIRP2Result_2');
	var elERP2Result = GetByIDCustom('txtERP2Result_2');
	var elDBUV3Result = GetByIDCustom('txtDBUV3Result_2');
	var elDBUV10Result = GetByIDCustom('txtDBUV10Result_2');
	
	if (ValidateInput(elInput))
	{
		var lngInput = parseFloat(elInput.value);
		
		var dblEIRP = lngInput * 1.64;
		elEIRPResult.value = dblEIRP.toFixed(8);
		
		var dblEIRP2 = 10 * (custLog(dblEIRP, 10));
		elEIRP2Result.value = dblEIRP2.toFixed(2);
		
		var dblERP2 = 10 * (custLog(lngInput, 10));
		elERP2Result.value = dblERP2.toFixed(2);
	
		var dblDBUV3 = (30 * dblEIRP) / (1000 * 9);
		dblDBUV3 = Math.sqrt(dblDBUV3);
		dblDBUV3 = dblDBUV3 * 1000000;
		dblDBUV3 = 20 * (custLog(dblDBUV3, 10));
		elDBUV3Result.value = dblDBUV3.toFixed(2);
		
		var dblDBUV10 = (30 * dblEIRP) / (1000 * 100);
		dblDBUV10 = Math.sqrt(dblDBUV10);
		dblDBUV10 = dblDBUV10 * 1000000;
		dblDBUV10 = 20 * (custLog(dblDBUV10, 10));
		elDBUV10Result.value = dblDBUV10.toFixed(2);
	}
}

function HandleERP2()
{
	var elInput = GetByIDCustom('txtERP2Input');
	var elEIRPResult = GetByIDCustom('txtEIRPResult_6');
	var elEIRP2Result = GetByIDCustom('txtEIRP2Result_6');
	var elERPResult = GetByIDCustom('txtERPResult_6');
	var elDBUV3Result = GetByIDCustom('txtDBUV3Result_6');
	var elDBUV10Result = GetByIDCustom('txtDBUV10Result_6');
	
	if (ValidateInput(elInput))
	{
		var lngInput = parseFloat(elInput.value);
		
		var dblERP = Math.pow(10, lngInput/10);
		elERPResult.value = dblERP.toFixed(8);

		var dblEIRP = dblERP * 1.64;
		elEIRPResult.value = dblEIRP.toFixed(8);
		
		var dblEIRP2 = 10 * custLog(dblEIRP, 10);
		elEIRP2Result.value = dblEIRP2.toFixed(2);
		
		var dblDBUV3 = (Math.sqrt((30 * dblEIRP)/(1000 * 9))) * 1000000;

		dblDBUV3 = 20 * custLog(dblDBUV3, 10);
		elDBUV3Result.value = dblDBUV3.toFixed(2);
		
		var dblDBUV10 = (Math.sqrt((30 * dblEIRP) / (1000*100))) * 1000000;
		dblDBUV10 = 20 * custLog(dblDBUV10, 10);
		elDBUV10Result.value = dblDBUV10.toFixed(2);
	}
}

function HandleDBUV3()
{
	var elInput = GetByIDCustom('txtDBUV3Input');
	var elEIRPResult = GetByIDCustom('txtEIRPResult_3');
	var elEIRP2Result = GetByIDCustom('txtEIRP2Result_3');
	var elERPResult = GetByIDCustom('txtERPResult_3');
	var elERP2Result = GetByIDCustom('txtERP2Result_3');
	var elDBUV10Result = GetByIDCustom('txtDBUV10Result_3');
	
	if (ValidateInput(elInput))
	{
		var lngInput = parseFloat(elInput.value);
		
		var dblEIRP = (lngInput / 20);
		dblEIRP = (Math.pow(10, dblEIRP)) / 1000000;
		dblEIRP = Math.pow(dblEIRP, 2);
		dblEIRP = ((dblEIRP * 9) / 30) * 1000;
		elEIRPResult.value = dblEIRP.toFixed(8);
		
		var dblEIRP2 = 10 * custLog(dblEIRP, 10);
		elEIRP2Result.value = dblEIRP2.toFixed(2);
		
		var dblERP = dblEIRP / 1.64;
		elERPResult.value = dblERP.toFixed(8);
		
		var dblERP2 = 10 * custLog(dblERP, 10);
		elERP2Result.value = dblERP2.toFixed(2);
		
		var dblDBUV10 = (Math.sqrt((30 * dblEIRP)/(1000 * 100))) * 1000000;
		dblDBUV10 = 20 * (custLog(dblDBUV10, 10));
		elDBUV10Result.value = dblDBUV10.toFixed(2);
	}
}

function HandleDBUV10()
{
	var elInput = GetByIDCustom('txtDBUV10Input');
	var elEIRPResult = GetByIDCustom('txtEIRPResult_4');
	var elEIRP2Result = GetByIDCustom('txtEIRP2Result_4');
	var elERPResult = GetByIDCustom('txtERPResult_4');
	var elERP2Result = GetByIDCustom('txtERP2Result_4');
	var elDBUV3Result = GetByIDCustom('txtDBUV3Result_4');

	
	if (ValidateInput(elInput))
	{
		var lngInput = parseFloat(elInput.value);
		
		var dblEIRP = (((Math.pow(((Math.pow(10,(lngInput / 20))) / 1000000), 2)) * 100) / 30) * 1000;
		elEIRPResult.value = dblEIRP.toFixed(8);
		
		var dblEIRP2 = 10 * custLog(dblEIRP, 10);
		elEIRP2Result.value = dblEIRP2.toFixed(2);
		
		var dblERP = dblEIRP / 1.64;
		elERPResult.value = dblERP.toFixed(8);
		
		var dblERP2 = 10 * custLog(dblERP, 10);
		elERP2Result.value = dblERP2.toFixed(2);
		
		var dblDBUV3 = 20 * (custLog(((Math.sqrt((30 * dblEIRP) / (1000 * 9))) * 1000000), 10));
		elDBUV3Result.value = dblDBUV3.toFixed(2);
	}
}



function ResetTable3()
{
	var elInput1 = GetByIDCustom('txtVm_in');
	elInput1.value = '';
	
	var elInput2 = GetByIDCustom('txtDBUV_in');
	elInput2.value = '';
	
	var elInput3 = GetByIDCustom('txtDBUA_in');
	elInput3.value = '';
	
	var elInput4 = GetByIDCustom('txtPT_in');
	elInput4.value = '';
	
	var elInput5 = GetByIDCustom('txtDBPT_in');
	elInput5.value = '';
	
	var elInput6 = GetByIDCustom('txtTESLA_in');
	elInput6.value = '';
	
	var elInput7 = GetByIDCustom('txtGUASS_in');
	elInput7.value = '';
	
	var elInput8 = GetByIDCustom('txtAM_in');
	elInput8.value = '';
	
	var elInput9 = GetByIDCustom('txtMWCM_in');
	elInput9.value = '';
	
	var elInput10 = GetByIDCustom('txtWM_in');
	elInput10.value = '';

	for (var i=1; i<=10; i++)
	{
		var eVM = eval("GetByIDCustom('txtVM_Result_" + i + "');");
		if (eVM != null)
			eVM.value = '';
			
		var eDBUV = eval("GetByIDCustom('txtDBUV_Result_" + i + "');");
		if(eDBUV != null)
			eDBUV.value = '';
		
		var eDBUA = eval("GetByIDCustom('txtDBUA_Result_" + i + "');");
		if(eDBUA != null)
			eDBUA.value = '';
		
		var ePT = eval("GetByIDCustom('txtPT_Result_" + i + "');");
		if(ePT != null)
			ePT.value = '';
		
		var eDBPT = eval("GetByIDCustom('txtDBPT_Result_" + i + "');");
		if(eDBPT != null)
			eDBPT.value = '';
		
		var eTESLA = eval("GetByIDCustom('txtTESLA_Result_" + i + "');");
		if(eTESLA != null)
			eTESLA.value = '';
		
		var eGUASS = eval("GetByIDCustom('txtGUASS_Result_" + i + "');");
		if(eGUASS != null)
			eGUASS.value = '';
		
		var eAM = eval("GetByIDCustom('txtAM_Result_" + i + "');");
		if(eAM != null)
			eAM.value = '';
		
		var eMWCM = eval("GetByIDCustom('txtMWCM_Result_" + i + "');");
		if(eMWCM != null)
			eMWCM.value = '';
		
		var eWM = eval("GetByIDCustom('txtWM_Result_" + i + "');");
		if(eWM != null)
			eWM.value = '';
	}
}



function calc1() {
    var elInput = GetByIDCustom('txtInput1');
	var elResult = GetByIDCustom('txtResult1');
	elResult.value = '';
	
	if (ValidateInput(elInput))
	{
		var lngInput = parseFloat(elInput.value);
		var lngResult = 300 / lngInput;
		elResult.value = lngResult.toFixed(6);
	}
}

function calc2() {
    var elInput1 = GetByIDCustom('txtInput2');
    var elInput2 = GetByIDCustom('txtInput3');
	var elResult = GetByIDCustom('txtResult2');
	elResult.value = '';
	
	if (ValidateInput(elInput1) && ValidateInput(elInput2))
	{
	    //((1+(SQRT(F8/F7)))/(1-(SQRT(F8/F7))))
		var lngInput1 = parseFloat(elInput1.value);
		var lngInput2 = parseFloat(elInput2.value);
		var lngResult = (1 + (Math.sqrt(lngInput2/lngInput1))) / (1 - (Math.sqrt(lngInput2/lngInput1)));
		elResult.value = lngResult.toFixed(6);
	}
}

function calc4() {
    var elInput1 = GetByIDCustom('txtInput4');
    var elInput2 = GetByIDCustom('txtInput5');
	var elResult = GetByIDCustom('txtResult4');
	elResult.value = '';
	
	if (ValidateInput(elInput1) && ValidateInput(elInput2))
	{
	    //(1+SQRT(((POWER(10,(F10/10)))/1000)/((POWER(10,(F9/10)))/1000)))/(1-SQRT(((POWER(10,(F10/10)))/1000)/((POWER(10,(F9/10)))/1000)))
		var lngInput1 = parseFloat(elInput1.value);
		var lngInput2 = parseFloat(elInput2.value);
		var lngResult = (1 + (Math.sqrt((Math.pow(10,(lngInput2/10))/1000)/ (Math.pow(10,(lngInput1/10))/1000)))) / (1 - (Math.sqrt((Math.pow(10,(lngInput2/10))/1000)/ (Math.pow(10,(lngInput1/10))/1000))));
		elResult.value = lngResult.toFixed(6);
	}
}

function calc6() {
    var elInput1 = GetByIDCustom('txtInput6');
    var elInput2 = GetByIDCustom('txtInput7');
    var elInput3 = GetByIDCustom('txtInput8');
	var elResult1 = GetByIDCustom('txtResult7');	
	var elResult2 = GetByIDCustom('txtResult8');
	var elResult3 = GetByIDCustom('txtResult9');
	var elResult4 = GetByIDCustom('txtResult10');
	var elResult5 = GetByIDCustom('txtResult11');
	var elResult6 = GetByIDCustom('txtResult12');
	var elResult7 = GetByIDCustom('txtResult13');
	elResult1.value = '';
	elResult2.value = '';
	elResult3.value = '';
	elResult4.value = '';
	elResult5.value = '';
	elResult6.value = '';
	elResult7.value = '';
	
	if (ValidateInput(elInput1) && ValidateInput(elInput2) && ValidateInput(elInput3))
	{
	    //1)    (F11*(POWER(10,(F12/10))))/(4*3.14159*F13*F13)
		var lngInput1 = parseFloat(elInput1.value);
		var lngInput2 = parseFloat(elInput2.value);
		var lngInput3 = parseFloat(elInput3.value);
		var lngResult1 = (lngInput1 * (Math.pow(10, (lngInput2/10))))/ (4 * 3.14159 * lngInput3 * lngInput3);
		
		elResult1.value = lngResult1.toExponential(2);
		
		var lngResult2 = (Math.sqrt(30 * lngInput1 * Math.pow(10, (lngInput2/10)))) / lngInput3;
		elResult3.value = lngResult2.toExponential(2);
		elResult2.value = 20 * custLog((1000000 * lngResult2), 10).toFixed(2);		
		elResult4.value = (Math.sqrt(lngResult1 / 377)).toExponential(2);
		elResult5.value = (lngResult1 * 377).toExponential(2);
		elResult6.value = (lngResult1 / 377).toExponential(2);
		elResult7.value = (lngResult1 * 0.1).toExponential(2);
	}
}

function calc7() {
    var elInput1 = GetByIDCustom('txtInput9');
    var elInput2 = GetByIDCustom('txtInput10');
    var elInput3 = GetByIDCustom('txtInput11');
	var elResult = GetByIDCustom('txtResult14');
	elResult.value = '';
	
	if (ValidateInput(elInput1) && ValidateInput(elInput2) && ValidateInput(elInput3))
	{
		//((F17*F19)*(F17*F19))/(30*(POWER(10,(F18/10))))
		var lngInput1 = parseFloat(elInput1.value);
		var lngInput2 = parseFloat(elInput2.value);
		var lngInput3 = parseFloat(elInput3.value);
		var lngResult = ((lngInput1 * lngInput3) * (lngInput1 * lngInput3)) / (30 * (Math.pow(10, (lngInput2/10))));
		elResult.value = lngResult.toExponential(2);
	}
}

function calc8() {
    var elInput1 = GetByIDCustom('txtInput12');
    var elInput2 = GetByIDCustom('txtInput13');
    var elInput3 = GetByIDCustom('txtInput14');
	var elResult = GetByIDCustom('txtResult15');
	elResult.value = '';
	
	if (ValidateInput(elInput1) && ValidateInput(elInput2) && ValidateInput(elInput3))
	{
		//16/(F21/50.8)*(SQRT(1-(POWER(((F20/1000)*(F21/50.8))/3.46,2))))*(F22/25.4)
		var lngInput1 = parseFloat(elInput1.value);
		var lngInput2 = parseFloat(elInput2.value);
		var lngInput3 = parseFloat(elInput3.value);
		var lngResult = (16/(lngInput2/50.8)) * Math.sqrt((1-(Math.pow((((lngInput1/1000) * (lngInput2/50.8))/3.46), 2)))) * (lngInput3/25.4);
		elResult.value = lngResult.toFixed(2);
	}
}

function calc9() {
    var elInput1 = GetByIDCustom('txtInput15');
    var elInput2 = GetByIDCustom('txtInput16');
	var elResult = GetByIDCustom('txtResult16');
	elResult.value = '';
	
	if (ValidateInput(elInput1) && ValidateInput(elInput2))
	{
		//((20*LOG(F24))-F23-29.79)
		var lngInput1 = parseFloat(elInput1.value);
		var lngInput2 = parseFloat(elInput2.value);
		var lngResult = (20 * (custLog(lngInput2, 10))) - lngInput1 - 29.79;
		elResult.value = lngResult.toFixed(2);
	}
}

function calc10() {
    var elInput = GetByIDCustom('txtInput17');
	var elResult = GetByIDCustom('txtResult17');
	elResult.value = '';
	
	if (ValidateInput(elInput))
	{
		//(F26*0.0333333)
		var lngInput = parseFloat(elInput.value);
		var lngResult = lngInput * 0.0333333333333;
		elResult.value = lngResult.toFixed(2);
	}
}

function calc11() {
    var elInput = GetByIDCustom('txtInput18');
	var elResult = GetByIDCustom('txtResult18');
	elResult.value = '';
	
	if (ValidateInput(elInput))
	{
		//(F28/0.0333333333333)
		var lngInput = parseFloat(elInput.value);
		var lngResult = lngInput/0.0333333333333;
		elResult.value = lngResult.toExponential(2);
	}
}

function calc12() {
    var elInput = GetByIDCustom('txtInput19');
	var elResult = GetByIDCustom('txtResult19');
	elResult.value = '';
	
	if (ValidateInput(elInput))
	{
		//(POWER(10,(F30/10)))/1000
		var lngInput = parseFloat(elInput.value);
		var lngResult = (Math.pow(10, (lngInput/10))) / 1000;
		elResult.value = lngResult.toFixed(2);
	}
}

function calc13() {
    var elInput = GetByIDCustom('txtInput20');
	var elResult = GetByIDCustom('txtResult20');
	elResult.value = '';
	
	if (ValidateInput(elInput))
	{
		//10*LOG10(1000*F32)
		var lngInput = parseFloat(elInput.value);
		var lngResult = 10 * custLog((1000 * lngInput), 10);
		elResult.value = lngResult.toFixed(2);
	}
}

function calc14() {
    var elInput = GetByIDCustom('txtInput21');
	var elResult = GetByIDCustom('txtResult21');
	elResult.value = '';
	
	if (ValidateInput(elInput))
	{
	    //SQRT(((POWER(10,(F34/10)))/1000)*50)
		var lngInput = parseFloat(elInput.value);
		var lngResult = Math.sqrt(((Math.pow(10, (lngInput/10)))/1000) * 50);
		elResult.value = lngResult.toExponential(2);
	}
}

function calc15() {
    var elInput = GetByIDCustom('txtInput22');
	var elResult = GetByIDCustom('txtResult22');
	elResult.value = '';
	
	if (ValidateInput(elInput))
	{
		//10*LOG10((F36*F36/50*1000))
		var lngInput = parseFloat(elInput.value);
		var lngResult = 10 * custLog((lngInput * lngInput / 50 * 1000), 10);
		elResult.value = lngResult.toFixed(2);
	}
}

function calc16() {
    var elInput = GetByIDCustom('txtInput23');
	var elResult = GetByIDCustom('txtResult23');
	elResult.value = '';
	
	if (ValidateInput(elInput))
	{
		var lngInput = parseFloat(elInput.value);
		var lngResult = (lngInput + 107);
		elResult.value = lngResult.toFixed(2);
	}
}

function calc17() {
    var elInput = GetByIDCustom('txtInput24');
	var elResult = GetByIDCustom('txtResult24');
	elResult.value = '';
	
	if (ValidateInput(elInput))
	{
		var lngInput = parseFloat(elInput.value);
		var lngResult = (lngInput - 107);
		elResult.value = lngResult.toExponential(2);
	}
}

function calc18() {
    var elInput1 = GetByIDCustom('txtInput24');
    var elInput2 = GetByIDCustom('txtInput25');
    var elInput3 = GetByIDCustom('txtInput26');
    var elInput4 = GetByIDCustom('txtInput27');
    var elResult1 = GetByIDCustom('txtResult25');
    var elResult2 = GetByIDCustom('txtResult26');
    var elResult3 = GetByIDCustom('txtResult27');
    var elResult4 = GetByIDCustom('txtResult28');
    var elResult5 = GetByIDCustom('txtResult29');
    var elResult6 = GetByIDCustom('txtResult30');
    
    if (ValidateInput(elInput1) && ValidateInput(elInput2) && ValidateInput(elInput3) && ValidateInput(elInput4)) {
    
        var i1 = parseFloat(elInput1.value);
        var i2 = parseFloat(elInput2.value);
        var i3 = parseFloat(elInput3.value);
        var i4 = parseFloat(elInput4.value);
        
        //elResult1.value = (20 * (custLog(),10)) - 51.5
        
        var temp1 = (47.15 * i2 * i1 * i1 * i3);
        var temp2 = Math.sqrt((i4 * i4) + ((i1/2) * (i1/2)));
        
        var result1 = ((20 * (custLog(((temp1 / (temp2 * temp2 * temp2)) * 1000000), 10))) - 51.5);
        var result3 = ((20 * (custLog(((temp1 / (temp2 * temp2 * temp2)) * 1000000), 10))) - 49.5);
        var result2 = Math.pow(10, (result3/20));
        var result4 = ((Math.pow(10,(result3/20)))/1000000000000);
        var result5 = result4 * 10000;
        var result6 = (Math.pow(10, (result1/20))/1000000);
        
        elResult1.value = result1.toFixed(2);
        elResult2.value = result2.toExponential(2);
        elResult3.value = result3.toFixed(2);
        elResult4.value = result4.toExponential(2);
        elResult5.value = result5.toExponential(2);
        elResult6.value = result6.toExponential(2);
        
    }
}









	
function calculate2(number){
	if (number.length != 0) {
	                        if(isNaN(number)){
                            document.getElementById('answer1').value  = "Please enter a number!";	
	                        } else {
							var fixed = parseFloat(number);
                            var answer = Math.round(20 * (custLog((fixed * 1000000), 10)));
							var rounded = answer.toFixed(2);
                            document.getElementById('answer1').value  = rounded;
	                                         } 
							} else {
	document.getElementById('answer1').value  = "Please enter a number!";
	                        }
}

function calculate3(number){
	if (number.length != 0) {
	                        if(isNaN(number)){
                            document.getElementById('answer2').value  = "Please enter a number!";	
	                        } else {
							var fixed = parseFloat(number);

                            var answer = fixed + 107;
							var rounded = answer.toFixed(2);
                            document.getElementById('answer2').value = rounded;
	                                         } 
							} else {
	document.getElementById('answer2').value  = "Please enter a number!";
	                        }
}

function calculate4(number){
	if (number.length != 0) {
	                        if(isNaN(number)){
                            document.getElementById('answer3').value  = "Please enter a number!";	
	                        } else {
							var fixed = parseFloat(number);

                            var answer = fixed * 10;
							var rounded = answer.toFixed(2);
                            document.getElementById('answer3').value = rounded;
	                                         } 
							} else {
	document.getElementById('answer3').value  = "Please enter a number!";
	                        }
}
 
function calculate5(number){
	if (number.length != 0) {
	                        if(isNaN(number)){
                            document.getElementById('answer4').value  = "Please enter a number!";	
	                        } else {
							var fixed = parseFloat(number);

                            var answer = Math.sqrt(3770 * fixed);
							var rounded = answer.toFixed(2);
                            document.getElementById('answer4').value = rounded;
	                                         } 
							} else {
	document.getElementById('answer4').value  = "Please enter a number!";
	                        }
}

function calculate6(number){
	if (number.length != 0) {
	                        if(isNaN(number)){
                            document.getElementById('answer5').value  = "Please enter a number!";	
	                        } else {
							var fixed = parseFloat(number);

                            var answer = (Math.sqrt(3770 * fixed)) / 377;

							var rounded = answer.toFixed(2);
                            document.getElementById('answer5').value = rounded;
	                                         } 
							} else {
	document.getElementById('answer5').value  = "Please enter a number!";
	                        }
}


function calculate7(number){
	if (number.length != 0) {
	                        if(isNaN(number)){
                            document.getElementById('answer6').value  = "Please enter a number!";	
	                        } else {
							var fixed = parseFloat(number);

                            var answer = fixed * 0.0333333;


							var rounded = answer.toFixed(2);
                            document.getElementById('answer6').value = rounded;
	                                         } 
							} else {
	document.getElementById('answer6').value  = "Please enter a number!";
	                        }
}

function calculate8(number){
	if (number.length != 0) {
	                        if(isNaN(number)){
                            document.getElementById('answer7').value  = "Please enter a number!";	
	                        } else {
							var fixed = parseFloat(number);

                            var answer = 10 * (custLog((1000 * fixed), 10));


							var rounded = answer.toFixed(2);
                            document.getElementById('answer7').value = rounded;
	                                         } 
							} else {
	document.getElementById('answer7').value  = "Please enter a number!";
	                        }
}

function calculate9(number){
	if (number.length != 0) {
	                        if(isNaN(number)){
                            document.getElementById('answer8').value  = "Please enter a number!";	
	                        } else {
							var fixed = parseFloat(number);
                            var tempVal = fixed / 10;

                            var answer = Math.sqrt( ( (Math.pow(10, tempVal)) / 1000 ) * 50 );



							var rounded = answer.toFixed(2);
                            document.getElementById('answer8').value = rounded;
	                                         } 
							} else {
	document.getElementById('answer8').value  = "Please enter a number!";
	                        }
}

function calculate10(number){
	if (number.length != 0) {
	                        if(isNaN(number)){
                            document.getElementById('answer9').value  = "Please enter a number!";	
	                        } else {
							var fixed = parseFloat(number);
                            var tempVal = ((fixed * fixed) / 50) * 1000;


                            var answer = 10 * (custLog(tempVal, 10));



							var rounded = answer.toFixed(2);
                            document.getElementById('answer9').value = rounded;
	                                         } 
							} else {
	document.getElementById('answer9').value  = "Please enter a number!";
	                        }
}
 
 
 function getRFconnector(){
  var browser = new CMBrowseUrl();
  browser.browse( "http://www.rfconnector.com" );
}



function goHome()
{
window.navigate("index.html");
}


function GetByIDCustom(strId)
{
    if(document.getElementById)
        return document.getElementById(strId);
    else
        return document.all[strId];
}

function IsNumeric(strString)	
{
	var strValidChars = "0123456789.-";
	var strChar;
	var blnResult = true;

	if (strString.length == 0) return false;

	//  test strString consists of valid characters listed above
	for (i = 0; i < strString.length && blnResult == true; i++)
	{
		strChar = strString.charAt(i);
		if (strValidChars.indexOf(strChar) == -1)
			blnResult = false;
	}
	return blnResult;
}

function ValidateInput(elInputField)
{
	if (elInputField.value == '')
	{
		alert('Please enter input value (numeric)!');
		elInputField.focus();
		return false;
	}
	if (!IsNumeric(elInputField.value))
	{
		alert('Numeric value is required!');
		elInputField.focus();
		return false;
	}
	return true;
}

function custLog(x, base) 
{
	return (Math.log(x))/(Math.log(base));
}
